Subject: Re: [RFC/PATCH 0/5] branch --set-upstream-to error-message improvements

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Apr 2013 14:50:47 -0700

Jeff King <[email-masked]> writes:

> On Tue, Apr 02, 2013 at 01:51:13PM -0400, Jeff King wrote:
>
>> Things slowly improve as people make suggestions. I think the thing that
>> might have helped here is better advice when "set-upstream-to" is
>> pointed to a ref that does not exist.
>> 
>> Patches coming in a minute.
>
> Or 60 minutes. :)
>
> I'm not decided on whether the last patch is overkill or not (or even if
> it is not, whether it may end up confusing people who do not fit into
> one of the slots it suggests).

Yeah, I am uneasy about 5/5 for the same reason.  
Also I feel a bit uneasy about 1/5 as well.

>> If the user requests to --set-upstream-to a branch that does
>> not exist, then either:
>> 
>>   1. It was a typo.
>> 
>>   2. They thought the branch should exist.

Could there be the third?

    3. She planned to create a branch after setting the
       configuration.

I think it is remote (no pun intended) possibility, and I may be
worried about people's existing workflow too much (as usual).